Bug 796109 - [abrt] kernel: WARNING: at lib/list_debug.c:56 __list_del_entry+0x82/0xd0()
[abrt] kernel: WARNING: at lib/list_debug.c:56 __list_del_entry+0x82/0xd0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:2bdd98415c09785b5c4566026de...
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-02-22 05:35 EST by philippe.noroy
Modified: 2012-04-19 12:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 12:40:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description philippe.noroy 2012-02-22 05:35:54 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        rd.md=0 rd.dm=0 rd.lvm.lv=vg_phil/lv_swap root=/dev/mapper/vg_phil-lv_root quiet LANG=fr_FR.UTF-8 SYSFONT=latarcyrheb-sun16 rd.lvm.lv=vg_phil/lv_root rhgb rd.luks=0 ro  KEYTABLE=fr-latin9
kernel:         3.2.5-3.fc16.x86_64
reason:         WARNING: at lib/list_debug.c:56 __list_del_entry+0x82/0xd0()
time:           mer. 22 févr. 2012 10:30:20 CET

backtrace:
:WARNING: at lib/list_debug.c:56 __list_del_entry+0x82/0xd0()
:Hardware name: System Product Name
:list_del corruption. next->prev should be ffff88007f411168, but was 00ffffff00ffffff
:Modules linked in: snd_hrtimer snd_seq_midi snd_seq_midi_event snd_seq_dummy tcp_lp fuse lockd ip6t_REJECT nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_ipv6header nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables vfat fat snd_hda_codec_realtek snd_hda_codec_hdmi snd_usb_audio snd_hda_intel snd_hda_codec snd_seq snd_pcm eeepc_wmi asus_wmi snd_hwdep snd_usbmidi_lib snd_rawmidi snd_seq_device snd_timer snd arc4 rt61pci rt2x00pci rt2x00lib r8169 mac80211 sunrpc cfg80211 sparse_keymap rfkill ppdev parport_pc soundcore sp5100_tco parport snd_page_alloc mii microcode uinput eeprom_93cx6 i2c_piix4 k10temp firewire_ohci firewire_core crc_itu_t wmi radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
:Pid: 0, comm: swapper/0 Not tainted 3.2.5-3.fc16.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106de46>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff812c9ad2>] __list_del_entry+0x82/0xd0
: [<ffffffff812c9b31>] list_del+0x11/0x40
: [<ffffffff81423e5b>] td_done+0x2b/0x190
: [<ffffffff814242c7>] takeback_td+0x37/0xf0
: [<ffffffff81424463>] dl_done_list+0xe3/0x230
: [<ffffffff812bf1e4>] ? timerqueue_add+0x74/0xc0
: [<ffffffff81428290>] ohci_irq+0x2b0/0x360
: [<ffffffff81403cad>] usb_hcd_irq+0x3d/0x80
: [<ffffffff810de335>] handle_irq_event_percpu+0x55/0x220
: [<ffffffff8101b8d3>] ? native_sched_clock+0x13/0x80
: [<ffffffff810de544>] handle_irq_event+0x44/0x70
: [<ffffffff810e15bf>] handle_fasteoi_irq+0x5f/0xf0
: [<ffffffff810161a6>] handle_irq+0x46/0xb0
: [<ffffffff815ec29a>] do_IRQ+0x5a/0xe0
: [<ffffffff815e1c2e>] common_interrupt+0x6e/0x6e
: <EOI>  [<ffffffff8103ce3b>] ? native_safe_halt+0xb/0x10
: [<ffffffff813389cc
Comment 1 Dave Jones 2012-03-09 13:05:40 EST
if you could run the kernel-debug build at
http://koji.fedoraproject.org/koji/buildinfo?buildID=304798 that might turn up
a different trace that might be helpful to us to track this down.

(it's going to be considerably slower than the regular build, due to the extra
checking).
Comment 2 Dave Jones 2012-03-22 13:13:09 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 13:15:24 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:24:27 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Josh Boyer 2012-03-28 14:00:29 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.